View Issue Details

IDProjectCategoryView StatusLast Update
0002216Industrial-Craft²general / otherpublic2017-07-07 15:30
ReporterBlablaBlub123Assigned ToChocohead 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002216: Crash after placing a Crops block
DescriptionRunning Minecraft 1.12 and industrialcraft-2-2.8.4-ex112
Everything worked fine until I tried placing a "Crops" block.
Then Minecraft crashed. Everytime I try to load my savegame Minecraft crashes as soon as I am in the game (loading is completed).

Crash log:

---- Minecraft Crash Report ----

WARNING: coremods are present:
  RebornCoreASM (RebornCore-1.12-3.1.0.55-universal.jar)
  Inventory Tweaks Coremod (InventoryTweaks-1.62.jar)
Contact their authors BEFORE contacting forge

// On the bright side, I bought you a teddy bear!

Time: 6/29/17 11:38 PM
Description: Tesselating block model

java.lang.RuntimeException: com.google.common.util.concurrent.UncheckedExecutionException: java.lang.NullPointerException
    at ic2.core.crop.CropModel.func_188616_a(CropModel.java:93)
    at net.minecraftforge.client.model.pipeline.ForgeBlockModelRenderer.render(ForgeBlockModelRenderer.java:117)
    at net.minecraftforge.client.model.pipeline.ForgeBlockModelRenderer.func_187498_b(ForgeBlockModelRenderer.java:103)
    at net.minecraft.client.renderer.BlockModelRenderer.func_187493_a(BlockModelRenderer.java:47)
    at net.minecraft.client.renderer.BlockModelRenderer.func_178267_a(BlockModelRenderer.java:38)
    at net.minecraft.client.renderer.BlockRendererDispatcher.func_175018_a(BlockRendererDispatcher.java:80)
    at net.minecraft.client.renderer.chunk.RenderChunk.func_178581_b(RenderChunk.java:200)
    at net.minecraft.client.renderer.chunk.ChunkRenderWorker.func_178474_a(SourceFile:100)
    at net.minecraft.client.renderer.chunk.ChunkRenderDispatcher.func_178505_b(ChunkRenderDispatcher.java:172)
    at net.minecraft.client.renderer.RenderGlobal.func_174970_a(RenderGlobal.java:975)
    at net.minecraft.client.renderer.EntityRenderer.func_175068_a(EntityRenderer.java:1307)
    at net.minecraft.client.renderer.EntityRenderer.func_78471_a(EntityRenderer.java:1250)
    at net.minecraft.client.renderer.EntityRenderer.func_181560_a(EntityRenderer.java:1053)
    at net.minecraft.client.Minecraft.func_71411_J(Minecraft.java:1117)
    at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:397)
    at net.minecraft.client.main.Main.main(SourceFile:123)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:483)
    at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
    at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
Caused by: com.google.common.util.concurrent.UncheckedExecutionException: java.lang.NullPointerException
    at com.google.common.cache.LocalCache$Segment.get(LocalCache.java:2217)
    at com.google.common.cache.LocalCache.get(LocalCache.java:4154)
    at com.google.common.cache.LocalCache.getOrLoad(LocalCache.java:4158)
    at com.google.common.cache.LocalCache$LocalLoadingCache.get(LocalCache.java:5147)
    at ic2.core.crop.CropModel.func_188616_a(CropModel.java:91)
    ... 21 more
Caused by: java.lang.NullPointerException
    at ic2.core.crop.CropModel.addCuboid(CropModel.java:192)
    at ic2.core.crop.CropModel.generateStickModel(CropModel.java:161)
    at ic2.core.crop.CropModel.access$000(CropModel.java:46)
    at ic2.core.crop.CropModel$1.load(CropModel.java:378)
    at ic2.core.crop.CropModel$1.load(CropModel.java:374)
    at com.google.common.cache.LocalCache$LoadingValueReference.loadFuture(LocalCache.java:3716)
    at com.google.common.cache.LocalCache$Segment.loadSync(LocalCache.java:2424)
    at com.google.common.cache.LocalCache$Segment.lockedGetOrLoad(LocalCache.java:2298)
    at com.google.common.cache.LocalCache$Segment.get(LocalCache.java:2211)
    ... 25 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- Head --
Thread: Client thread
Stacktrace:
    at ic2.core.crop.CropModel.func_188616_a(CropModel.java:93)
    at net.minecraftforge.client.model.pipeline.ForgeBlockModelRenderer.render(ForgeBlockModelRenderer.java:117)
    at net.minecraftforge.client.model.pipeline.ForgeBlockModelRenderer.func_187498_b(ForgeBlockModelRenderer.java:103)

-- Block model being tesselated --
Details:
    Block: ic2:te[facing=down,material=field_151585_k,transparent=true,type=crop;renderstate=ic2.core.crop.TileEntityCrop$CropRenderState@45c]
    Block location: World: (108,64,1151), Chunk: (at 12,4,15 in 6,71; contains blocks 96,0,1136 to 111,255,1151), Region: (0,2; contains chunks 0,64 to 31,95, blocks 0,0,1024 to 511,255,1535)
    Using AO: true
Stacktrace:
    at net.minecraft.client.renderer.BlockModelRenderer.func_187493_a(BlockModelRenderer.java:47)
    at net.minecraft.client.renderer.BlockModelRenderer.func_178267_a(BlockModelRenderer.java:38)

-- Block being tesselated --
Details:
    Block type: ID 0000891 (ic2.te // ic2.core.block.BlockTileEntity)
    Block data value: 10 / 0xA / 0b1010
    Block location: World: (108,64,1151), Chunk: (at 12,4,15 in 6,71; contains blocks 96,0,1136 to 111,255,1151), Region: (0,2; contains chunks 0,64 to 31,95, blocks 0,0,1024 to 511,255,1535)
Stacktrace:
    at net.minecraft.client.renderer.BlockRendererDispatcher.func_175018_a(BlockRendererDispatcher.java:80)
    at net.minecraft.client.renderer.chunk.RenderChunk.func_178581_b(RenderChunk.java:200)
    at net.minecraft.client.renderer.chunk.ChunkRenderWorker.func_178474_a(SourceFile:100)
    at net.minecraft.client.renderer.chunk.ChunkRenderDispatcher.func_178505_b(ChunkRenderDispatcher.java:172)
    at net.minecraft.client.renderer.RenderGlobal.func_174970_a(RenderGlobal.java:975)
    at net.minecraft.client.renderer.EntityRenderer.func_175068_a(EntityRenderer.java:1307)
    at net.minecraft.client.renderer.EntityRenderer.func_78471_a(EntityRenderer.java:1250)
TagsNo tags attached.
Minecraft Version1.12

Relationships

has duplicate 0002217 resolvedChocohead Crash after placing a Crops block #2 
has duplicate 0002226 resolvedChocohead Non-stop crashing due to crop item 

Activities

Chocohead

2017-06-29 22:30

developer   ~0005336

Ah, the removal of one of the two textures bakes during loading has caught the code out, should all work again in IC2 2.8.6

BlablaBlub123

2017-06-29 23:00

reporter   ~0005337

Thanks for the quick response! Is the fixed version available to download somewhere? I tried following the jenkins build but it says the latest upload is 10 days ago. Usually I download mods from Curse site...

Issue History

Date Modified Username Field Change
2017-06-29 21:49 BlablaBlub123 New Issue
2017-06-29 22:30 Chocohead Note Added: 0005336
2017-06-29 22:30 Chocohead Status new => resolved
2017-06-29 22:30 Chocohead Fixed in Version => Builds for MC 1.12.x
2017-06-29 22:30 Chocohead Resolution open => fixed
2017-06-29 22:30 Chocohead Assigned To => Chocohead
2017-06-29 23:00 BlablaBlub123 Note Added: 0005337
2017-07-01 21:34 Chocohead Relationship added has duplicate 0002217
2017-07-07 15:30 Chocohead Relationship added has duplicate 0002226